// miniprogram/pages/productlist/productlist.js
Page({

  /**
   * 页面的初始数据
   */
  data: {
    showDialog: false
  },
  goOrder(){
    wx.navigateTo({
      url: '../confirm-order/confirm-order',
    })
  },
  getDetail(){
    console.log('中间');
  },
  addOne(){
    console.log('添加一份');
  },
  getCategories(){
    const that = this;
    wx.cloud.callFunction({
      name:'categories',
      data:{},
      success:(res)=>{
        // 默认加载第一个分类的数据
        const categories = res.result.categories.data;
        wx.cloud.callFunction({
          name:'foodList',
          data:{
            category_type: categories[0].category_type
          },
          success:(food)=>{
          
            that.setData({
              categories: categories,
              tabSelected: categories[0]._id,
              foodList: food.result.foodList.data
            })
          },
          fail:()=>console.error('获取食品失败')
        })  
      },
      fail:()=>{
        console.error('获取分类失败');
      }
    })
  },
  openDialog: function () {
    this.setData({
      istrue: true
    })
  },
  closeDialog: function () {
    this.setData({
      istrue: false
    })
  },
  /**
   * 生命周期函数--监听页面加载
   */
  onLoad: function (options) {
    this.getCategories();
  },

  /**
   * 生命周期函数--监听页面初次渲染完成
   */
  onReady: function () {

  },

  /**
   * 生命周期函数--监听页面显示
   */
  onShow: function () {

  },

  /**
   * 生命周期函数--监听页面隐藏
   */
  onHide: function () {

  },

  /**
   * 生命周期函数--监听页面卸载
   */
  onUnload: function () {

  },

  /**
   * 页面相关事件处理函数--监听用户下拉动作
   */
  onPullDownRefresh: function () {

  },

  /**
   * 页面上拉触底事件的处理函数
   */
  onReachBottom: function () {

  },

  /**
   * 用户点击右上角分享
   */
  onShareAppMessage: function () {

  }
})